package com.zhilian.business.controller;

import com.zhilian.common.business.domain.middle.MarkersFence;
import com.zhilian.business.service.MarkersFenceService;
import com.zhilian.common.core.domain.Result;
import com.zhilian.common.core.web.controller.BaseController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/markersFence")
public class MarkersFenceController extends BaseController {
    @Autowired
    private MarkersFenceService markersFenceService;

    @PostMapping("/list")
    public Result<List<MarkersFence>> markersFenceList() {
        return Result.success(markersFenceService.list());
    }
}
