package com.zhilian.online;

import org.apache.kafka.clients.producer.KafkaProducer;
import org.apache.kafka.clients.producer.ProducerRecord;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.stereotype.Component;

/**
 * @BelongsProject: smart-cloud-server
 * @BelongsPackage: com.zhilian.online
 * @Author: LiYuan
 * @CreateTime: 2024-04-06  20:02
 * @Description: TODO
 * @Version: 1.0
 */
@Component
public class TestKafka {

    @Autowired
    private KafkaTemplate<Object,Object> kafkaTemplate;

    @Test
    public void testSend(){
        kafkaTemplate.send("topic1","hello world!");
    }


}
